#
# spec file for package plexus-pom
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           plexus-pom
Version:        14
Release:        1.6
Summary:        Root Plexus Projects POM
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://github.com/codehaus-plexus/plexus-pom
Source0:        https://github.com/codehaus-plexus/plexus-pom/archive/plexus-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  javapackages-local >= 6
BuildArch:      noarch

%description
The Plexus project provides a full software stack for creating and
executing software projects.  This package provides parent POM for
Plexus packages.

%prep
%setup -q -n plexus-pom-plexus-%{version}

%pom_remove_dep org.junit:junit-bom
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :spotless-maven-plugin

cp -p %{SOURCE1} LICENSE

%build

%install
install -dm 0755 %{buildroot}%{_mavenpomdir}/%{name}
%mvn_install_pom pom.xml %{buildroot}%{_mavenpomdir}/%{name}/plexus.pom
%add_maven_depmap %{name}/plexus.pom

%files -f .mfiles
%license LICENSE

%changelog
* Wed Sep  6 2023 Fridrich Strba <fstrba@suse.com>
- Upgrade to version 14
  * Bug Fixes
    + Remove maven-failsafe-report-plugin
    + Set compiler.source and compiler.target to javaVersion
    property without "1.x" prefix
    + fix site descriptor (revert partially PR #161)
    + fix site link
    + Add a deploy build
    + Add spotless plugin configuration
    + Correct location of Checkstyle header
    + javadoc notimestamp, to avoid noise in gh-pages
    + Remove test-javadoc report and configuration improvements
    + Require Maven 3.2.5+
    + Remove FindBugs from reporting
    + Drop Dependency Management for plexus-component-annotations
    (deprecated)
    + Fix mailing list links
    + Checkstyle license check - depend on file from released branch
    + Refresh Maven site
    + Fix link to ASF 2.0 license
    + One time spotless apply
    + Sync enforcer configuration setup with ASF
    + Drop no longer needed configuration for checkstyle plugin
* Sat Feb  9 2019 Fridrich Strba <fstrba@suse.com>
- Initial package for root plexus projects pom 5.1
